=== modified file 'storage/myisam/mi_rename.c'
--- storage/myisam/mi_rename.c	2008-07-06 15:03:34 +0000
+++ storage/myisam/mi_rename.c	2008-07-16 02:35:15 +0000
@@ -22,13 +22,12 @@
 int mi_rename(const char *old_name, const char *new_name)
 {
   char from[FN_REFLEN],to[FN_REFLEN];
-  DBUG_ENTER("mi_rename");
 
   fn_format(from,old_name,"",MI_NAME_IEXT,MY_UNPACK_FILENAME|MY_APPEND_EXT);
   fn_format(to,new_name,"",MI_NAME_IEXT,MY_UNPACK_FILENAME|MY_APPEND_EXT);
   if (my_rename_with_symlink(from, to, MYF(MY_WME)))
-    DBUG_RETURN(my_errno);
+    return(my_errno);
   fn_format(from,old_name,"",MI_NAME_DEXT,MY_UNPACK_FILENAME|MY_APPEND_EXT);
   fn_format(to,new_name,"",MI_NAME_DEXT,MY_UNPACK_FILENAME|MY_APPEND_EXT);
-  DBUG_RETURN(my_rename_with_symlink(from, to,MYF(MY_WME)) ? my_errno : 0);
+  return(my_rename_with_symlink(from, to,MYF(MY_WME)) ? my_errno : 0);
 }

=== modified file 'storage/myisam/mi_rfirst.c'
--- storage/myisam/mi_rfirst.c	2008-06-25 05:29:13 +0000
+++ storage/myisam/mi_rfirst.c	2008-07-16 02:35:15 +0000
@@ -19,8 +19,7 @@
 
 int mi_rfirst(MI_INFO *info, uchar *buf, int inx)
 {
-  DBUG_ENTER("mi_rfirst");
   info->lastpos= HA_OFFSET_ERROR;
   info->update|= HA_STATE_PREV_FOUND;
-  DBUG_RETURN(mi_rnext(info,buf,inx));
+  return(mi_rnext(info,buf,inx));
 } /* mi_rfirst */

=== modified file 'storage/myisam/mi_rkey.c'
--- storage/myisam/mi_rkey.c	2008-07-06 06:01:07 +0000
+++ storage/myisam/mi_rkey.c	2008-07-16 02:35:15 +0000
@@ -30,12 +30,9 @@
   uint pack_key_length, use_key_length, nextflag;
   uint myisam_search_flag;
   int res= 0;
-  DBUG_ENTER("mi_rkey");
-  DBUG_PRINT("enter", ("base: 0x%lx  buf: 0x%lx  inx: %d  search_flag: %d",
-                       (long) info, (long) buf, inx, search_flag));
 
   if ((inx = _mi_check_index(info,inx)) < 0)
-    DBUG_RETURN(my_errno);
+    return(my_errno);
 
   info->update&= (HA_STATE_CHANGED | HA_STATE_ROW_CHANGED);
   info->last_key_func= search_flag;
@@ -55,7 +52,7 @@
   }
   else
   {
-    DBUG_ASSERT(keypart_map);
+    assert(keypart_map);
     /* Save the packed key for later use in the second buffer of lastkey. */
     key_buff=info->lastkey+info->s->base.max_key_length;
     pack_key_length=_mi_pack_key(info,(uint) inx, key_buff, (uchar*) key,
@@ -64,8 +61,6 @@
     info->pack_key_length= pack_key_length;
     info->last_used_keyseg= (uint16) (last_used_keyseg -
                                       info->s->keyinfo[inx].seg);
-    DBUG_EXECUTE("key",_mi_print_key(DBUG_FILE, keyinfo->seg,
-				     key_buff, pack_key_length););
   }
 
   if (fast_mi_readinfo(info))
@@ -140,7 +135,7 @@
         info->lastpos= HA_OFFSET_ERROR;
         if (share->concurrent_insert)
           rw_unlock(&share->key_root_lock[inx]);
-        DBUG_RETURN((my_errno= HA_ERR_KEY_NOT_FOUND));
+        return((my_errno= HA_ERR_KEY_NOT_FOUND));
       }
       /*
         Error if no row found within the data file. (Bug #29838)
@@ -167,12 +162,12 @@
 
   /* Check if we don't want to have record back, only error message */
   if (!buf)
-    DBUG_RETURN(info->lastpos == HA_OFFSET_ERROR ? my_errno : 0);
+    return(info->lastpos == HA_OFFSET_ERROR ? my_errno : 0);
 
   if (!(*info->read_record)(info,info->lastpos,buf))
   {
     info->update|= HA_STATE_AKTIV;		/* Record is read */
-    DBUG_RETURN(0);
+    return(0);
   }
 
   info->lastpos = HA_OFFSET_ERROR;		/* Didn't find key */
@@ -186,5 +181,5 @@
   if (search_flag == HA_READ_AFTER_KEY)
     info->update|=HA_STATE_NEXT_FOUND;		/* Previous gives last row */
 err:
-  DBUG_RETURN(my_errno);
+  return(my_errno);
 } /* _mi_rkey */

=== modified file 'storage/myisam/mi_rlast.c'
--- storage/myisam/mi_rlast.c	2008-06-25 05:29:13 +0000
+++ storage/myisam/mi_rlast.c	2008-07-16 02:35:15 +0000
@@ -19,8 +19,7 @@
 
 int mi_rlast(MI_INFO *info, uchar *buf, int inx)
 {
-  DBUG_ENTER("mi_rlast");
   info->lastpos= HA_OFFSET_ERROR;
   info->update|= HA_STATE_NEXT_FOUND;
-  DBUG_RETURN(mi_rprev(info,buf,inx));
+  return(mi_rprev(info,buf,inx));
 } /* mi_rlast */

=== modified file 'storage/myisam/mi_rnext.c'
--- storage/myisam/mi_rnext.c	2008-07-06 06:01:07 +0000
+++ storage/myisam/mi_rnext.c	2008-07-16 02:35:15 +0000
@@ -27,16 +27,15 @@
   int error,changed;
   uint flag;
   int res= 0;
-  DBUG_ENTER("mi_rnext");
 
   if ((inx = _mi_check_index(info,inx)) < 0)
-    DBUG_RETURN(my_errno);
+    return(my_errno);
   flag=SEARCH_BIGGER;				/* Read next */
   if (info->lastpos == HA_OFFSET_ERROR && info->update & HA_STATE_PREV_FOUND)
     flag=0;					/* Read first */
 
   if (fast_mi_readinfo(info))
-    DBUG_RETURN(my_errno);
+    return(my_errno);
   if (info->s->concurrent_insert)
     rw_rdlock(&info->s->key_root_lock[inx]);
   changed=_mi_test_if_changed(info);
@@ -85,7 +84,7 @@
       if (info->s->concurrent_insert)
         rw_unlock(&info->s->key_root_lock[inx]);
       info->lastpos= HA_OFFSET_ERROR;
-      DBUG_RETURN(my_errno= HA_ERR_END_OF_FILE);
+      return(my_errno= HA_ERR_END_OF_FILE);
     }
   }
   
@@ -103,13 +102,12 @@
   }
   else if (!buf)
   {
-    DBUG_RETURN(info->lastpos==HA_OFFSET_ERROR ? my_errno : 0);
+    return(info->lastpos==HA_OFFSET_ERROR ? my_errno : 0);
   }
   else if (!(*info->read_record)(info,info->lastpos,buf))
   {
     info->update|= HA_STATE_AKTIV;		/* Record is read */
-    DBUG_RETURN(0);
+    return(0);
   }
-  DBUG_PRINT("error",("Got error: %d,  errno: %d",error, my_errno));
-  DBUG_RETURN(my_errno);
+  return(my_errno);
 } /* mi_rnext */

=== modified file 'storage/myisam/mi_rnext_same.c'
--- storage/myisam/mi_rnext_same.c	2008-07-06 06:01:07 +0000
+++ storage/myisam/mi_rnext_same.c	2008-07-16 02:35:15 +0000
@@ -28,13 +28,12 @@
   int error;
   uint inx,not_used[2];
   MI_KEYDEF *keyinfo;
-  DBUG_ENTER("mi_rnext_same");
 
   if ((int) (inx=info->lastinx) < 0 || info->lastpos == HA_OFFSET_ERROR)
-    DBUG_RETURN(my_errno=HA_ERR_WRONG_INDEX);
+    return(my_errno=HA_ERR_WRONG_INDEX);
   keyinfo=info->s->keyinfo+inx;
   if (fast_mi_readinfo(info))
-    DBUG_RETURN(my_errno);
+    return(my_errno);
 
   if (info->s->concurrent_insert)
     rw_rdlock(&info->s->key_root_lock[inx]);
@@ -81,12 +80,12 @@
   }
   else if (!buf)
   {
-    DBUG_RETURN(info->lastpos==HA_OFFSET_ERROR ? my_errno : 0);
+    return(info->lastpos==HA_OFFSET_ERROR ? my_errno : 0);
   }
   else if (!(*info->read_record)(info,info->lastpos,buf))
   {
     info->update|= HA_STATE_AKTIV;		/* Record is read */
-    DBUG_RETURN(0);
+    return(0);
   }
-  DBUG_RETURN(my_errno);
+  return(my_errno);
 } /* mi_rnext_same */

=== modified file 'storage/myisam/mi_rprev.c'
--- storage/myisam/mi_rprev.c	2008-06-25 05:29:13 +0000
+++ storage/myisam/mi_rprev.c	2008-07-16 02:35:15 +0000
@@ -27,16 +27,15 @@
   int error,changed;
   register uint flag;
   MYISAM_SHARE *share=info->s;
-  DBUG_ENTER("mi_rprev");
 
   if ((inx = _mi_check_index(info,inx)) < 0)
-    DBUG_RETURN(my_errno);
+    return(my_errno);
   flag=SEARCH_SMALLER;				/* Read previous */
   if (info->lastpos == HA_OFFSET_ERROR && info->update & HA_STATE_NEXT_FOUND)
     flag=0;					/* Read last */
 
   if (fast_mi_readinfo(info))
-    DBUG_RETURN(my_errno);
+    return(my_errno);
   changed=_mi_test_if_changed(info);
   if (share->concurrent_insert)
     rw_rdlock(&share->key_root_lock[inx]);
@@ -76,12 +75,12 @@
   }
   else if (!buf)
   {
-    DBUG_RETURN(info->lastpos==HA_OFFSET_ERROR ? my_errno : 0);
+    return(info->lastpos==HA_OFFSET_ERROR ? my_errno : 0);
   }
   else if (!(*info->read_record)(info,info->lastpos,buf))
   {
     info->update|= HA_STATE_AKTIV;		/* Record is read */
-    DBUG_RETURN(0);
+    return(0);
   }
-  DBUG_RETURN(my_errno);
+  return(my_errno);
 } /* mi_rprev */

=== modified file 'storage/myisam/mi_rrnd.c'
--- storage/myisam/mi_rrnd.c	2008-06-25 05:29:13 +0000
+++ storage/myisam/mi_rrnd.c	2008-07-16 02:35:15 +0000
@@ -32,7 +32,6 @@
 int mi_rrnd(MI_INFO *info, uchar *buf, register my_off_t filepos)
 {
   my_bool skip_deleted_blocks;
-  DBUG_ENTER("mi_rrnd");
 
   skip_deleted_blocks=0;
 
@@ -53,7 +52,7 @@
   info->update&= (HA_STATE_CHANGED | HA_STATE_ROW_CHANGED);
 
   if (info->opt_flag & WRITE_CACHE_USED && flush_io_cache(&info->rec_cache))
-    DBUG_RETURN(my_errno);
+    return(my_errno);
 
-  DBUG_RETURN ((*info->s->read_rnd)(info,buf,filepos,skip_deleted_blocks));
+  return ((*info->s->read_rnd)(info,buf,filepos,skip_deleted_blocks));
 }

=== modified file 'storage/myisam/mi_rsame.c'
--- storage/myisam/mi_rsame.c	2008-06-25 05:29:13 +0000
+++ storage/myisam/mi_rsame.c	2008-07-16 02:35:15 +0000
@@ -27,21 +27,19 @@
 
 int mi_rsame(MI_INFO *info, uchar *record, int inx)
 {
-  DBUG_ENTER("mi_rsame");
-
   if (inx != -1 && ! mi_is_key_active(info->s->state.key_map, inx))
   {
-    DBUG_RETURN(my_errno=HA_ERR_WRONG_INDEX);
+    return(my_errno=HA_ERR_WRONG_INDEX);
   }
   if (info->lastpos == HA_OFFSET_ERROR || info->update & HA_STATE_DELETED)
   {
-    DBUG_RETURN(my_errno=HA_ERR_KEY_NOT_FOUND);	/* No current record */
+    return(my_errno=HA_ERR_KEY_NOT_FOUND);	/* No current record */
   }
   info->update&= (HA_STATE_CHANGED | HA_STATE_ROW_CHANGED);
 
   /* Read row from data file */
   if (fast_mi_readinfo(info))
-    DBUG_RETURN(my_errno);
+    return(my_errno);
 
   if (inx >= 0)
   {
@@ -58,8 +56,8 @@
   }
 
   if (!(*info->read_record)(info,info->lastpos,record))
-    DBUG_RETURN(0);
+    return(0);
   if (my_errno == HA_ERR_RECORD_DELETED)
     my_errno=HA_ERR_KEY_NOT_FOUND;
-  DBUG_RETURN(my_errno);
+  return(my_errno);
 } /* mi_rsame */

=== modified file 'storage/myisam/mi_rsamepos.c'
--- storage/myisam/mi_rsamepos.c	2008-06-25 05:29:13 +0000
+++ storage/myisam/mi_rsamepos.c	2008-07-16 02:35:15 +0000
@@ -29,13 +29,10 @@
 
 int mi_rsame_with_pos(MI_INFO *info, uchar *record, int inx, my_off_t filepos)
 {
-  DBUG_ENTER("mi_rsame_with_pos");
-  DBUG_PRINT("enter",("index: %d  filepos: %ld", inx, (long) filepos));
-
   if (inx < -1 ||
       (inx >= 0 && ! mi_is_key_active(info->s->state.key_map, inx)))
   {
-    DBUG_RETURN(my_errno=HA_ERR_WRONG_INDEX);
+    return(my_errno=HA_ERR_WRONG_INDEX);
   }
 
   info->update&= (HA_STATE_CHANGED | HA_STATE_ROW_CHANGED);
@@ -43,7 +40,7 @@
   {
     if (my_errno == HA_ERR_RECORD_DELETED)
       my_errno=HA_ERR_KEY_NOT_FOUND;
-    DBUG_RETURN(my_errno);
+    return(my_errno);
   }
   info->lastpos=filepos;
   info->lastinx=inx;
@@ -53,5 +50,5 @@
 				      info->lastpos);
     info->update|=HA_STATE_KEY_CHANGED;		/* Don't use indexposition */
   }
-  DBUG_RETURN(0);
+  return(0);
 } /* mi_rsame_pos */

